Name:           fotowall
Version:        1.0
Release:        1%{?dist}
Epoch:          1
Summary:        Photo collection creativity tool

Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://www.enricoros.com/opensource/fotowall
Source0:        https://github.com/enricoros/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  libv4l-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel


%description
FotoWall is a creative tool that allows you to layout your photos or pictures
in a personal way. You can add pictures, then resize, move,
change colors, text, shadows, etc.. 

%prep
%setup -q
# for hidden-file-or-dir warning 
sed -i -e "s/\.build/build/" %{name}.pro
# Unused file
sed -i -e "/scripts/d" -e "s@man\ \\\@man@" %{name}.pro
# for v4l1 compatibility
sed -i -e 's/linux\/videodev.h/libv4l1-videodev.h/' 3rdparty/videocapture/VideoDevice.h

%build
%{qmake_qt5}
make %{?_smp_mflags}


%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# Update the screenshot shown in the software center
#
# NOTE: It would be *awesome* if this file was pushed upstream.
#
# See http://people.freedesktop.org/~hughsient/appdata/#screenshots for more details.
#
# appstream-util replace-screenshots $RPM_BUILD_ROOT%{_datadir}/appdata/fotowall.appdata.xml \
#  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/fotowall/a.png 
# disable due XML not available https://github.com/hughsie/fedora-appstream/pull/53


%files
%doc GPL_V2 README.markdown
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/man/man?/%{name}.?.gz

%changelog
* Sat Jul 29 2017 Filipe Rosset <rosset.filipe@gmail.com> - 1:1.0-1
- Upgrade to latest upstream release 1.0 (Qt5)
- Fix FTBFS rhbz #1423575

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.9-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.9-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Nov 07 2016 Filipe Rosset <rosset.filipe@gmail.com> - 1:0.9-14
- Rebuilt to fix FTBFS rhbz #1307509 plus spec clean up

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Feb 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 1:0.9-12
- use %%qmake_qt4 macro to ensure proper build flags

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 30 2015 Richard Hughes <rhughes@redhat.com> - 1:0.9-10
- Use better AppData screenshots

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Feb 13 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.9-3
- Add libv4l-devel (and good include usage) for v4l1 compatibility
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Tue Dec  8 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.9-1
- Update to 0.9
* Sun Sep 20 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.8.1-1
- Update to 0.8.1
* Mon Aug  3 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.7.1-1
- Update to 0.7.1
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Wed May  6 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.6.1-1
- Rebuild for 0.6.1
* Wed Apr 22 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.5-1
- Rebuild for 0.5
* Sat Apr  4 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.4-1
- Rebuild for 0.4
* Fri Mar 13 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.3.1-1
- Rebuild for 0.3.1
* Sat Feb 28 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.21-3
- Fix desktop file
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Jul 20 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.21-1
- Initial build
